=== modified file 'loggerhead/controllers/directory_ui.py'
--- loggerhead/controllers/directory_ui.py	2008-08-04 20:59:56 +0000
+++ loggerhead/controllers/directory_ui.py	2008-08-04 21:22:16 +0000
@@ -21,7 +21,6 @@
 import os
 
 from bzrlib import branch
-from bzrlib import errors
 
 from loggerhead.controllers import TemplatedBranchView
 
@@ -30,7 +29,8 @@
         self.dirname = dirname
         self.parity = parity
         self.branch = branch
-        self.last_change =  datetime.datetime.fromtimestamp(
+        if branch is not None:
+            self.last_change =  datetime.datetime.fromtimestamp(
                 branch.repository.get_revision(branch.last_revision()).timestamp)
 
 class DirectoryUI(TemplatedBranchView):
@@ -40,12 +40,9 @@
     template_path = 'loggerhead.templates.directory'
 
     def __init__(self, static_url_base, path, name):
-        class branch(object):
-            @staticmethod
-            def static_url(path):
-                return self._static_url_base + path
+        class _branch(object):
             context_url = 1
-        self._branch = branch
+        self._branch = _branch
         self._history = None
         self._path = path
         self._name = name
@@ -59,6 +56,8 @@
         listing.sort(key=lambda x: x.lower())
         dirs = []
         parity = 0
+        def static_url(path):
+            return self._static_url_base + path
         for d in listing:
             p = os.path.join(self._path, d)
             try:
@@ -70,4 +69,5 @@
         return {
             'dirs': dirs,
             'name': self._name,
+            'static_url': static_url,
             }

=== modified file 'loggerhead/templates/directory.pt'
--- loggerhead/templates/directory.pt	2008-08-04 20:59:56 +0000
+++ loggerhead/templates/directory.pt	2008-08-04 21:22:16 +0000
@@ -3,7 +3,7 @@
   <head>
     <title tal:content="string:Browsing ${name}"></title>
     <link rel="stylesheet"
-          tal:attributes="href python:branch.static_url('/static/css/global.css')" />
+          tal:attributes="href python:static_url('/static/css/global.css')" />
   </head>
   <body>
     <div id="loggerheadCont">
@@ -23,7 +23,7 @@
             <tal:branch-row tal:condition="dir/branch">
               <tr tal:attributes="class string:blueRow${dir/parity}">
                 <td class="autcell">
-                  <img tal:attributes="src python:branch.static_url('/static/images/ico_branch.gif')" />
+                  <img tal:attributes="src python:static_url('/static/images/ico_branch.gif')" />
                   <a tal:attributes="href string:${dir/dirname}/files" tal:content="dir/dirname" /></td>
                 <td class="date">
                   <tal:block tal:condition="dir/branch" tal:content="dir/branch/revno" />
@@ -34,7 +34,7 @@
             <tal:non-branch-row tal:condition="not:dir/branch">
               <tr tal:attributes="class string:blueRow${dir/parity}">
                 <td class="autcell">
-                  <img tal:attributes="src python:branch.static_url('/static/images/ico_folder.gif')" />
+                  <img tal:attributes="src python:static_url('/static/images/ico_folder.gif')" />
                   <a tal:attributes="href string:${dir/dirname}" tal:content="dir/dirname" /></td>
                 <td class="date">
                 </td>

